weka.gui.beans

## Class GraphEvent

- java.lang.Object
- - java.util.EventObject
  - - weka.gui.beans.GraphEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GraphEvent
      extends java.util.EventObject

  Event for graphs
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphEvent(java.lang.Object source, java.lang.String graphString, java.lang.String graphTitle, int graphType)` Creates a new `GraphEvent` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGraphString()` Return the dot string for the graph
    `java.lang.String` | `getGraphTitle()` Return the graph title
    `int` | `getGraphType()` Return the graph type

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphEvent

          public GraphEvent(java.lang.Object source,
                            java.lang.String graphString,
                            java.lang.String graphTitle,
                            int graphType)

      Creates a new `GraphEvent` instance.
      Parameters:
        `source` - the source of the event
        `graphString` - a string describing the graph in "dot" format
        `graphTitle` - the title for the graph
        `graphType` - the type for the graph

  - ### Method Detail

    - #### getGraphString

          public java.lang.String getGraphString()

      Return the dot string for the graph
      Returns:
        a `String` value

    - #### getGraphTitle

          public java.lang.String getGraphTitle()

      Return the graph title
      Returns:
        a `String` value

    - #### getGraphType

          public int getGraphType()

      Return the graph type
      Returns:
        a `int` value